RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Service.OrderManagementService Class Reference

## Public Member Functions
void | run (int year) throws Exception
boolean | isRunning ()
void | requestRefresh () throws Exception
List< RobotMatch > | currentMatches () throws Exception
void | requestAnotherMatch (long id) throws Exception
List< RobotMatch > | upcommingMatches (long id) throws Exception
long | generateMatches (MultiMatchGroupObj multiMatchGroupObj) throws Exception

## Member Function Documentation

## ◆ currentMatches()

List<RobotMatch> com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Service.OrderManagementService.currentMatches | ( |  | ) | throws Exception
| inline

Navrati seznam vsech zapasu, ktere maji byt nyni odehrany na prislusnych hristich

Returns
  Vsechny zapasy, ktere maji byt nyni odehrany na prislusnych hristich

## ◆ generateMatches()

long com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Service.OrderManagementService.generateMatches | ( | MultiMatchGroupObj | multiMatchGroupObj | ) | throws Exception
| inline

Vygeneruje skupinove zapasy "kazdy s kazdym" (sumo, robo strong, ...). Neoveruje zda jde o disciplinu, ktera umoznuje zapaseni robot proti robotu

Parameters

  multiMatchGroupObj | Objekt definujici parametry pro vygenerovani vsech zapasu

Returns
  Navrati identifikacni cislo tvurce zapasovych skupin (nasledne muze byt uplatneno pro odstraneni zapasu)

## ◆ isRunning()

boolean com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Service.OrderManagementService.isRunning | ( |  | ) |
| inline

Navrati informaci o tom zda je servis spusten

Returns
  Stav

## ◆ requestAnotherMatch()

void com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Service.OrderManagementService.requestAnotherMatch | ( | long | id | ) | throws Exception
| inline

Vyzada zmenu poradi zapasu ve fronte

Parameters

  id | ID zápasu, o kterém rozhodčí rozhodne, aby byl odehrán v dánou chvíli. Zápas s tímto ID bude přesunut na první místo ve frontě. (pokud bude zadána záporná neplatná hodnota pak systém vybere náhodně ze seznamu čekajících zápasů)

## ◆ requestRefresh()

void com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Service.OrderManagementService.requestRefresh | ( |  | ) | throws Exception
| inline

Vyzada refresh systemu, pokud dojde k zamrznuti

Exceptions

  Exception |

## ◆ run()

void com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Service.OrderManagementService.run | ( | int | year | ) | throws Exception
| inline

Spusti modul pro rizeni poradi. Modul bude mozne spustit jen pro soutez, ktery byla jiz zahajna.

Parameters

  year | Rocnik souteze

Exceptions

  Exception |

## ◆ upcommingMatches()

List<RobotMatch> com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Service.OrderManagementService.upcommingMatches | ( | long | id | ) | throws Exception
| inline

Navrati pro robota seznam vsech nadchazejicich zapasu

Parameters

  id | ID robota

Returns
  Seznam vsech zapasu robota, ktere jeste cekaji na odehrani

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Module/OrderManagement/Bussiness/Service/OrderManagementService.java